/*
 * MDCacheD client library for C
 * Implements interfaces defined in mc_client.h
 * (c) 2007.-2011 Ivan Voras <ivoras@gmail.com>
 * Released under the 2-clause BSDL
 * $Id: common_utils.h 443 2012-03-06 23:23:48Z ivoras $
 */

#ifndef _COMMON_UTILS_H_
#define _COMMON_UTILS_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "common_utils.h"
#include "mc_protocol.h"

#define _DUMP_BPL 16

/** Makes a pretty hexdump of the data to stdout */
void _dump_data(void *data, unsigned size);

/** Returns current time as number of seconds */
double now();

/** Dumps a pretty dump of the packet to stdout */
void _dump_data_entry(struct mc_data_entry *mde);

#ifdef __cplusplus
}
#endif

#endif
