#include <stdio.h>
#include <stdlib.h>

#include "../ISet.h"

int main() {
	ISet<128> s;
	unsigned buf[10], i;

	s.add(1);
	s.add(8);
	s.add(77);
	printf("1st bitmap: %llx; found: %u, count: %u\n", s._get_bitmap()[0], s.test(1), s.count());
	printf("count=%u\n", s.count());
	s.get_elements(buf);
	for (i = 0; i < s.count(); i++)
		printf("\telement at #%u: %u\n", i, buf[i]);
	s.remove(1);
	printf("removing 1st element\n");
	printf("1st bitmap: %llx; found: %u, count: %u\n", s._get_bitmap()[0], s.test(1), s.count());
	printf("bitmap_len: %u of %u-byte integers\n", s._get_bitmap_len(), s._get_bitmap_element_bytes());
}
