/*-
 * This file is a part of the MDCacheD server
 * (c) 2007.-2011. Ivan Voras <ivoras@gmail.com>
 * Released under the 2-clause BSDL.
 * $Id: debug.h 347 2011-09-20 20:58:41Z ivoras $
 */

#ifndef _DEBUG_H_
#define _DEBUG_H_

#ifndef NDEBUG

struct debug_status_record {
	/* "Current execution" status */
	const char 		*file;
	int			 line;
	char			 status;
};
#define DEBUG_STATUS_POINT(r,s)	(r).status=(s);	(r).file=__FILE__;	(r).line=__LINE__;

#else /* NDEBUG */
#define DEBUG_STATUS_POINT(r,s) ;
#endif

#endif
