#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#include "../SizeHistogram.h"

int main() {
	SizeHistogram<5> sh;

	for (unsigned i = 0; i < 15; i++)
		printf("po2(%u) = %u\t", i, po2(i));
	printf("po2(%u) = %u\n", 65536, po2(65536));

	sh.addPoint(1000);
	sh.addPoint(8);
	sh.addPoint(10);
	sh.addPoint(11);
	sh.addPoint(3);

	unsigned h[5];
	sh.getCopy(h);

	for (unsigned i = 0; i < 5; i++)
		printf("h[%u] = %u\n", i, h[i]);

	printf("peak at %u\n", sh.getPeakIndex());
	printf("peak size %u\n", sh.getPeakSize());
}
